## javax.faces.render
Class ResponseStateManager

    java.lang.Object
      javax.faces.render.ResponseStateManager

public abstract class ResponseStateManager
extends java.lang.Object

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Constructor Summary
`ResponseStateManager()`

Method Summary
`abstract java.lang.Object` `getComponentStateToRestore(FacesContext context)`
`abstract java.lang.Object` `getTreeStructureToRestore(FacesContext context, java.lang.String viewId)`
`abstract void` `writeState(FacesContext context, StateManager.SerializedView state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseStateManager

    public ResponseStateManager()

Method Detail

### writeState

    public abstract void writeState(FacesContext context,
                                    StateManager.SerializedView state)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTreeStructureToRestore

    public abstract java.lang.Object getTreeStructureToRestore(FacesContext context,
                                                               java.lang.String viewId)

### getComponentStateToRestore

    public abstract java.lang.Object getComponentStateToRestore(FacesContext context)